petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMSetDimension

Set the topological dimension of the DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMSetDimension(DM dm, PetscInt dim)

Collective on dm

### Input Parameters

| dm | - The DM
| dim | - The topological dimension

### See Also

DMGetDimension(), DMCreate()

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html